Download it now!
Bug 112557 - Subtitle placeholder shape leads to corrupted PPTX file
Summary: Subtitle placeholder shape leads to corrupted PPTX file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-21 20:03 UTC by Tamás Zolnai
Modified: 2017-09-24 15:25 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
ODP with subtitle on master slide (12.45 KB, application/vnd.oasis.opendocument.presentation)
2017-09-21 20:26 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-09-21 20:03:06 UTC
Description:
Check the attached document. It's a minimal reproducer created based on a user doc. Somehow there are ODPs which contains subtitle blocks on master slide (I can't see how to create such a document on the GUI). LO can save this into a PPTX and import it back, but it seems MSO does not like subtitles on master slides (allowed on layouts).

Steps to Reproduce:
1. Open attached ODP
2. Save it to PPTX
3. Open it in MSO

Actual Results:  
MSO says the file is corrupted.

Expected Results:
Make export create a document with which MSO has no problem, during opening.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36
Comment 1 Tamás Zolnai 2017-09-21 20:26:35 UTC
Created attachment 136441 [details]
ODP with subtitle on master slide
Comment 2 Commit Notification 2017-09-22 08:48:18 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=238cfa9efa21f08514703ea6cc181ce02d8feb12

tdf#112557: Subtitle placeholder shape leads to corrupted PPTX file

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-09-24 15:25:46 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b9e576368ae36704908086ebc94e5889a7d68e8&h=libreoffice-5-4

tdf#112557: Subtitle placeholder shape leads to corrupted PPTX file

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.